// Arquivo de exemplo: QueueEnqueue.cs
// Para compilar utilize: csc QueueEnqueue.cs
using System;
using System.Collections.Generic;

public class QueueEnqueue {
	public static void Main() {
		Queue<string> fila=new Queue<string>();
		fila.Enqueue("ASP.NET");
		fila.Enqueue("XML");
		fila.Enqueue("C#");

		IEnumerator<string> enu=fila.GetEnumerator();
		while(enu.MoveNext()) 	{
			Console.WriteLine(enu.Current);
		}
		Console.Read();	
	}
}
